#include <bits/stdc++.h>

using namespace std;


int main()
{
    cout << fixed;
    cout << setprecision(4);
    int n;
    cin >> n;
    int a[n];
    double p[n];
    double u,m;
    u=0.0;
    for(int i=0; i<n; i++)
        cin >> a[i] >> p[i];
    for(int i=0; i<n; i++)
    {
        m=0.0;
        for (int j=0; j<n; j++)
        {
            if (p[i]<=p[j])
                m+=a[j]*p[i]/100;
        }
        if (u<m) u=m;
    }
    cout << u;
    return 0;
}